com.jscape.inet.vfs

## Class VirtualLocalFileDescriptor

- java.lang.Object
- - com.jscape.inet.vfs.VirtualFileDescriptor<VirtualLocalFileDescriptor.Handler>
  - - com.jscape.inet.vfs.VirtualLocalFileDescriptor

-     public class VirtualLocalFileDescriptor
      extends VirtualFileDescriptor<VirtualLocalFileDescriptor.Handler>

  Contains information about local file.
  Author:
    Alex

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `VirtualLocalFileDescriptor.Handler`

    - ### Nested classes/interfaces inherited from class com.jscape.inet.vfs.VirtualFileDescriptor

      `VirtualFileDescriptor.HandlerBase`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VirtualLocalFileDescriptor()` Creates a new descriptor instance.
    `VirtualLocalFileDescriptor(java.lang.String path, AccessPermissions accessPermissions, boolean secured, boolean denied, boolean indexable, java.lang.String realPath, boolean createIfNotExists)`
    `VirtualLocalFileDescriptor(java.lang.String path, AccessPermissions accessPermissions, boolean secured, boolean denied, boolean indexable, java.lang.String realPath, boolean createIfNotExists, PgpEncryption pgpEncryption, com.jscape.inet.vfs.DataLossPrevention dataLossPrevention)`
    `VirtualLocalFileDescriptor(java.lang.String path, AccessPermissions permissions, java.lang.String realPath, boolean createIfNotExists)` Creates a new descriptor instance.
    `VirtualLocalFileDescriptor(java.lang.String path, AccessPermissions permissions, java.lang.String realPath, boolean createIfNotExists, PgpEncryption pgpEncryption)` Creates a new descriptor instance.
    `VirtualLocalFileDescriptor(VirtualLocalFileDescriptor that)` Copy constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(VirtualLocalFileDescriptor.Handler handler)`
    `VirtualLocalFileDescriptor` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `boolean` | `getCreateIfNotExists()` Gets whether directory should be created upon access if it does not exist.
    `com.jscape.inet.vfs.DataLossPrevention` | `getDataLossPrevention()` Returns data loss prevention.
    `PgpEncryption` | `getPgpEncryption()` Returns current PGP encryption state.
    `java.lang.String` | `getRealPath()` Returns real file path in local system.
    `int` | `hashCode()`
    `void` | `setCreateIfNotExists(boolean value)` Sets whether directory should be created upon access if it does not exist.
    `void` | `setDataLossPrevention(com.jscape.inet.vfs.DataLossPrevention value)` Sets data loss prevention.
    `void` | `setPgpEncryption(PgpEncryption pgpEncryption)` Sets current PGP encryption state.
    `void` | `setRealPath(java.lang.String realPath)` Sets real file path.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.vfs.VirtualFileDescriptor

      `getAccessPermissions, getPath, isDenied, isIndexable, isSecured, setAccessPermissions, setDenied, setIndexable, setPath, setSecured`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VirtualLocalFileDescriptor

          public VirtualLocalFileDescriptor(java.lang.String path,
                                            AccessPermissions accessPermissions,
                                            boolean secured,
                                            boolean denied,
                                            boolean indexable,
                                            java.lang.String realPath,
                                            boolean createIfNotExists,
                                            PgpEncryption pgpEncryption,
                                            com.jscape.inet.vfs.DataLossPrevention dataLossPrevention)

    - #### VirtualLocalFileDescriptor

          public VirtualLocalFileDescriptor(java.lang.String path,
                                            AccessPermissions accessPermissions,
                                            boolean secured,
                                            boolean denied,
                                            boolean indexable,
                                            java.lang.String realPath,
                                            boolean createIfNotExists)

    - #### VirtualLocalFileDescriptor

          public VirtualLocalFileDescriptor(java.lang.String path,
                                            AccessPermissions permissions,
                                            java.lang.String realPath,
                                            boolean createIfNotExists,
                                            PgpEncryption pgpEncryption)

      Creates a new descriptor instance.
      Parameters:
        `path` - the virtual path
        `permissions` - the file access permissions
        `realPath` - the real file path in local system
        `createIfNotExists` - create path if not exists
        `pgpEncryption` - PGP encryption

    - #### VirtualLocalFileDescriptor

          public VirtualLocalFileDescriptor(java.lang.String path,
                                            AccessPermissions permissions,
                                            java.lang.String realPath,
                                            boolean createIfNotExists)

      Creates a new descriptor instance.
      Parameters:
        `path` - the virtual path
        `permissions` - the file access permissions
        `realPath` - the real file path in local system
        `createIfNotExists` - create path if not exists

    - #### VirtualLocalFileDescriptor

          public VirtualLocalFileDescriptor()

      Creates a new descriptor instance.

    - #### VirtualLocalFileDescriptor

          public VirtualLocalFileDescriptor(VirtualLocalFileDescriptor that)

      Copy constructor.
      Parameters:
        `that` - the instance to copy

  - ### Method Detail

    - #### accept

          public void accept(VirtualLocalFileDescriptor.Handler handler)
                      throws java.lang.Exception

      Specified by:
        `accept` in class `VirtualFileDescriptor<VirtualLocalFileDescriptor.Handler>`
      Throws:
        `java.lang.Exception`

    - #### copy

          public VirtualLocalFileDescriptor copy()

      Specified by:
        `copy` in class `VirtualFileDescriptor<VirtualLocalFileDescriptor.Handler>`

    - #### getRealPath

          public java.lang.String getRealPath()

      Returns real file path in local system.
      Returns:
        real file path

    - #### setRealPath

          public void setRealPath(java.lang.String realPath)

      Sets real file path.
      Parameters:
        `realPath` - the real file path

    - #### getCreateIfNotExists

          public boolean getCreateIfNotExists()

      Gets whether directory should be created upon access if it does not exist.
      Returns:
        true to create directory, false otherwise

    - #### setCreateIfNotExists

          public void setCreateIfNotExists(boolean value)

      Sets whether directory should be created upon access if it does not exist.
      Parameters:
        `value` - true to create directory, false otherwise

    - #### getPgpEncryption

          public PgpEncryption getPgpEncryption()

      Returns current PGP encryption state.
      Returns:
        current PGP encryption state

    - #### setPgpEncryption

          public void setPgpEncryption(PgpEncryption pgpEncryption)

      Sets current PGP encryption state.
      Parameters:
        `pgpEncryption` - current PGP encryption state

    - #### getDataLossPrevention

          public com.jscape.inet.vfs.DataLossPrevention getDataLossPrevention()

      Returns data loss prevention.
      Returns:
        data loss prevention

    - #### setDataLossPrevention

          public void setDataLossPrevention(com.jscape.inet.vfs.DataLossPrevention value)

      Sets data loss prevention.
      Parameters:
        `value` - data loss prevention

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `VirtualFileDescriptor<VirtualLocalFileDescriptor.Handler>`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved